/***************************************************************************
                          whatthis.h  -  description
                             -------------------
    begin                : fri 12 march CEST 2004
    copyright            : (C) 2004 Emiliano Gulmini
    email                : <emi_barbarossa@yahoo.it>
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef WHATTHIS_H
#define WHATTHIS_H

// QT
#include <tqstring.h>

// KDE
#include <tdelocale.h>

namespace whatthisNameSpace
{
  //TDEFileReplaceView messages
  const TQString lvResultWhatthis = i18n("Shows the statistics of your operations. Note that the columns content changes depending on what kind of operation you are performing.");

  const TQString lvStringsWhatthis = i18n("Shows a list of strings to search for (and if you specified it, a list of strings to replace with). Use the \"add strings\" dialog to edit your string list or double click on a string.");

  //KNewProjectDlg messages
  const TQString cbLocationWhatthis = i18n("Base folder for operations of search/replace. Insert path string here by hand or use the search button.");

  const TQString cbFilterWhatthis = i18n("Shell-like wildcards. Example: \"*.html;*.txt;*.xml\".");

  const TQString edSizeMinWhatthis = i18n("Insert the minimum file size you want to search, or leave it unchecked if you don't want minimum size limit.");

  const TQString edSizeMaxWhatthis = i18n("Insert the maximum file size you want to search, or leave it unchecked if you don't want maximum size limit.");

  const TQString edMaxDepthWhatthis = i18n("Insert the maximum depth sublevel you want to search, or leave it unchecked if you don't want to limit the search. A level of 0 searches only the current level.");

  const TQString edDateMinWhatthis = i18n("Insert the minimum value for file access date that you want to search, or leave it unchecked if you don't a minimum limit.");

  const TQString edDateMaxWhatthis = i18n("Insert the maximum value for file access date that you want to search, or leave it unchecked if you don't a maximum limit.");

  const TQString cbDateValidWhatthis = i18n("Select  \"writing\" if you want to use the date of the last modification, or  \"reading\" to use the the date of the last access.");

  const TQString chbDateMinWhatthis = i18n("Minimum value for access date.");

  const TQString chbDateMaxWhatthis = i18n("Maximum value for access date.");

  const TQString leSearchWhatthis = i18n("Insert here the string to search for.");

  const TQString leReplaceWhatthis = i18n("Insert here the string to replace with.");

  //KOptionsDlg messages
  const TQString chbCaseSensitiveWhatthis = i18n("Enable this option if your search is case sensitive.");

  const TQString chbRecursiveWhatthis = i18n("Enable this option to search in sub folders too.");

  const TQString chbHaltOnFirstOccurrenceWhatthis = i18n("Enable this option when you are searching for a string and you are only interested to know if the string is present or not in the current file.");

  const TQString chbIgnoreWhitespacesWhatthis ="";

  const TQString chbFollowSymLinksWhatthis = i18n("If tdefilereplace encounters a symbolic link treats it like a normal folder or file.");

  const TQString chbIgnoreHiddenWhatthis = i18n("Enable this option to ignore hidden files or folders.");

  const TQString chbIgnoreFilesWhatthis = i18n("If this option is enabled, KFR will show even the names of the files in which no string has been found or replaced.");

  const TQString chbRegularExpressionsWhatthis = i18n("Allows you to apply QT-like regular expressions on the search string. Note that a complex regular expression could affect speed performance");

  const TQString chbVariablesWhatthis = i18n("Enable \"commands\". For example: if search string is \"user\" and replace string is the command \"[$user:uid$]\", KFR will substitute \"user\" with the uid of the user.");

  const TQString chbBackupWhatthis = i18n("Enable this option if you want leave original files untouched.");

  const TQString chbConfirmStringsWhatthis = i18n("Enable this option if you want to be asked for single string replacement confirmation.");

  //TDEFileReplacePart
  const TQString fileSimulateWhatthis = i18n("Enable this option to perform replacing as a simulation, i.e. without make any changes in files.");

  const TQString optionsRegularExpressionsWhatthis = chbRegularExpressionsWhatthis;

  const TQString optionsBackupWhatthis = chbBackupWhatthis;

  const TQString optionsCaseWhatthis = chbCaseSensitiveWhatthis;

  const TQString optionsVarWhatthis = chbVariablesWhatthis;

  const TQString optionsRecursiveWhatthis = chbRecursiveWhatthis;

  //KAddStringDlg
  const TQString rbSearchOnlyWhatthis = i18n("Select search-only mode.");

  const TQString rbSearchReplaceWhatthis = i18n("Select search-and-replace mode.");

  const TQString edSearchWhatthis = i18n("Insert here a string you want search for.");

  const TQString edReplaceWhatthis = i18n("Insert here the string that KFR will use to replace the search string.");
}
#endif
